Page MenuHomePhabricator

UsageTracking: Use LinksUpdateComplete hook instead ArticleEditUpdates
Closed, ResolvedPublic1 Story Points

Description

We want usage tracking to be updated not only when the page is edited directly, but also when the page content changes due to a template edit. The LinksUpdateComplete hook seems like a good choice to capture this event. Implementing ArticleEditUpdates becomes redundant.

Event Timeline

daniel created this task.May 18 2015, 10:32 AM
daniel raised the priority of this task from to High.
daniel updated the task description. (Show Details)
daniel added subscribers: daniel, Aklapper, Rical and 5 others.
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.May 18 2015, 3:23 PM
Rical removed a subscriber: Rical.May 18 2015, 9:25 PM
daniel claimed this task.May 19 2015, 10:59 AM
daniel moved this task from Backlog to Doing on the Wikidata-Sprint-2015-05-05 board.
daniel moved this task from Doing to Backlog on the Wikidata-Sprint-2015-05-05 board.

Change 212025 had a related patch set uploaded (by Daniel Kinzler):
Use LinksUpdateComplete hook for usage tracking updates.

https://gerrit.wikimedia.org/r/212025

Tobi_WMDE_SW edited a custom field.May 25 2015, 11:08 AM

Change 212025 merged by jenkins-bot:
Use LinksUpdateComplete hook for usage tracking updates.

https://gerrit.wikimedia.org/r/212025

daniel closed this task as Resolved.Jun 3 2015, 12:52 PM